<TITLE>Adminstrative Interface to the @THIS_BROKER_NAME@ Broker</TITLE>
<H2>Administrative Interface to the @THIS_BROKER_NAME@ Broker</H2>

<P> 
This Broker was built using the <a
href="http://harvest.cs.colorado.edu/">Harvest</a> system.   
Look <A HREF="/Harvest/brokers/adminhelp.html">here</a> 
for help on Broker administation commands.

<HR>
<FORM METHOD="GET" ACTION="http://@THIS_HTTP_HOST@/Harvest/cgi-bin/BrokerAdmin.cgi">
<dl>
<dt>Command:<dd>
<SELECT NAME="command" SIZE=1>
<OPTION VALUE="#add-object"> 		Add objects by file
<OPTION VALUE="#close-log"> 		Close log
<OPTION VALUE="#compress"> 		Compress registry
<OPTION VALUE="#clean-broker"> 		Delete expired objects
<OPTION VALUE="#rem-object-query"> 	Delete objects by query
<OPTION VALUE="#rem-object-path"> 	Delete objects by oid
<OPTION VALUE="#uniqify">	 	Delete older objects of duplicate URLs
<OPTION VALUE="#rem-log"> 		Disable log type
<OPTION VALUE="#add-log"> 		Enable log type
<OPTION VALUE="#flush-log"> 		Flush log
<OPTION VALUE="#do-stats"> 		Generate statistics
<OPTION VALUE="#incremental-index"> 	Index changes
<OPTION VALUE="#full-index"> 		Index corpus
<OPTION VALUE="#open-log"> 		Open log
<OPTION VALUE="#restart-index-server"> 	Restart index-server
<OPTION VALUE="#restart"> 		Restart server (Replicas only)
<OPTION VALUE="#rotate-log"> 		Rotate log
<OPTION VALUE="#set"> 		        Set variable
<OPTION VALUE="#shutdown"> 		Shutdown server
<OPTION VALUE="#collection" SELECTED> 	Start collections
</SELECT>

<dt>Parameters:<dd>
<TEXTAREA ROWS=4 COLS=50 NAME="parameter"></TEXTAREA>

<dt>Password:<dd>
<INPUT TYPE="password" NAME="password" SIZE=50>

<dt>Broker Host:<dd>
<INPUT TYPE="text" NAME="host" SIZE=50 VALUE=@THIS_BROKER_HOST@>

<dt>Broker Port:<dd>
<INPUT TYPE="text" NAME="port" SIZE=10 VALUE=@THIS_BROKER_PORT@>
</dl>

<p>
<INPUT TYPE="submit" VALUE="Issue Command">
<INPUT TYPE="reset" VALUE="Clear Form">
</FORM>

<p> <hr> <p> 
<ADDRESS>
@CONTACT_MESSAGE@
</ADDRESS>
